remote-control:
<%- if not @control_enable.nil? -%>
  control-enable: <%= scope.call_function('bool2str', [@control_enable, 'yes', 'no']) %>
<%- end -%>
<%- if not @control_interface.nil? -%>
  <%- @control_interface.each do |v| -%>
  control-interface: <%= v %>
  <%- end -%>
<%- end -%>
<%- if not @control_port.nil? -%>
  control-port: <%= @control_port %>
<%- end -%>
<%- if not @control_use_cert.nil? -%>
  control-use-cert: <%= scope.call_function('bool2str', [@control_use_cert, 'yes', 'no']) %>
<%- end -%>
<%- if not @server_key_file.nil? -%>
  server-key-file: "<%= @server_key_file %>"
<%- end -%>
<%- if not @server_cert_file.nil? -%>
  server-cert-file: "<%= @server_cert_file %>"
<%- end -%>
<%- if not @control_key_file.nil? -%>
  control-key-file: "<%= @control_key_file %>"
<%- end -%>
<%- if not @control_cert_file.nil? -%>
  control-cert-file: "<%= @control_cert_file %>"
<%- end -%>
